Updating all my ancient packages at work for Emacs 25.2. Sometimes this involves arcane ritual undos [stackoverflow.com] of previously working code...